package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MemberCoinTixian{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String userId;
    private String money;
    private Integer statusFlag;
    private String fee;
    private String netAmount;
    private String dealUser;
    private String dealTime;
    private String wechat;
    private String alipay;
    private String bankCard;
    private String bankName;
    private String openName;
    private Integer typeFlag;
    private String remark;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getUserId(){
        return this.userId;
    }

    public void setUserId(String userId){
        this.userId = userId;
    }
    public String getMoney(){
        return this.money;
    }

    public void setMoney(String money){
        this.money = money;
    }
    public Integer getStatusFlag(){
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag){
        this.statusFlag = statusFlag;
    }
    public String getFee(){
        return this.fee;
    }

    public void setFee(String fee){
        this.fee = fee;
    }
    public String getNetAmount(){
        return this.netAmount;
    }

    public void setNetAmount(String netAmount){
        this.netAmount = netAmount;
    }
    public String getDealUser(){
        return this.dealUser;
    }

    public void setDealUser(String dealUser){
        this.dealUser = dealUser;
    }
    public String getDealTime(){
        return this.dealTime;
    }

    public void setDealTime(String dealTime){
        this.dealTime = dealTime;
    }
    public String getWechat(){
        return this.wechat;
    }

    public void setWechat(String wechat){
        this.wechat = wechat;
    }
    public String getAlipay(){
        return this.alipay;
    }

    public void setAlipay(String alipay){
        this.alipay = alipay;
    }
    public String getBankCard(){
        return this.bankCard;
    }

    public void setBankCard(String bankCard){
        this.bankCard = bankCard;
    }
    public String getBankName(){
        return this.bankName;
    }

    public void setBankName(String bankName){
        this.bankName = bankName;
    }
    public String getOpenName(){
        return this.openName;
    }

    public void setOpenName(String openName){
        this.openName = openName;
    }
    public Integer getTypeFlag(){
        return this.typeFlag;
    }

    public void setTypeFlag(Integer typeFlag){
        this.typeFlag = typeFlag;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

